Skip to main content
DELETE
/
v1
/
workflows
/
{id}
/
edges
/
{edgeId}
Remove an edge between nodes
curl --request DELETE \
  --url https://app.galaxy.ai/api/v1/workflows/{id}/edges/{edgeId} \
  --header 'Authorization: Bearer <token>'
{
  "edgeId": "<string>",
  "source": "<string>",
  "sourceHandle": "<string>",
  "target": "<string>",
  "targetHandle": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workflow ID

Minimum string length: 1
edgeId
string
required

Edge ID to remove

Minimum string length: 1

Response

Successful response

edgeId
string
required
source
string
required
sourceHandle
string | null
required
target
string
required
targetHandle
string | null
required